Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039753
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementminorhave not tried2018-11-22 09:392018-12-11 17:24
ReporterSandrahuguetView Statuspublic 
Assigned ToSandrahuguet 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision71014553054c
ProjectionnoneETAnoneTarget Version3.0PR18Q4.1
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2017-03-11
Regression introduced in release3.0PR17Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/498699b38a5d0ddb368c9be379e25eb2732ee091 [^]
Triggers an Emergency PackNo
Summary

0039753: Improve contention problems in fin_financial_account

DescriptionIn order to avoid concurrency problems when the current balance is calculated a lock was added in issue 35137. This lock is necessary, but is possible to reduce the lock and calculate the current balance at the end of the process.
Steps To Reproduce- In order to easily simulate the 2 transactions are processed at same time it is necessary to set a break-point just after execution of following code :

financialAccount.setCurrentBalance(financialAccount.getCurrentBalance().subtract(transaction.getDepositAmount()).add(transaction.getPaymentAmount()));

- Go to Payment In and create a payment:
  Organization: F&B España - Region Norte
  Received From: Alimentos y Supermercados, S.A
  Payment Method: Transferencia
  Deposit To: Cuenta de Banco - EUR
  Amount: 100
  In Add details - > Overpayment Action: Leave the credit to be used later
  Done and execution should be stopped in previous break-point

- Open "new incognito window" in Chrome and access
  Go to Payment In and create a new payment:
  Organization: F&B España - Region Norte
  Received From: Restaurantes Luna Llena, S.A.
  Payment Method: Transferencia
  Deposit To: Cuenta de Banco - EUR
  Amount: 200
  Click in add details, the popup does not open, save the header is locked
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0039672 resolvedSandrahuguet Improve contention problems in fin_financial_account 

-  Notes
(0108290)
hgbot (developer)
2018-12-05 15:23

Repository: erp/backports/3.0PR18Q4
Changeset: e6cdcf083b0d0282930aa6c4adc0e91c8ad1d489
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Dec 05 12:58:36 2018 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR18Q4/rev/e6cdcf083b0d0282930aa6c4adc0e91c8ad1d489 [^]

Fixed issue 39753 reduce lock and calculate the current balance at the end of the process

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
---
(0108292)
hgbot (developer)
2018-12-05 15:23

Repository: erp/backports/3.0PR18Q4
Changeset: 0ca8d4ff47098d0e29ae83e7d1342650c2c0fdfa
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Dec 05 15:17:53 2018 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR18Q4/rev/0ca8d4ff47098d0e29ae83e7d1342650c2c0fdfa [^]

related to issue 39753 use lockForNoKeyUpdate instead of lockFinAccount

Use lockForNoKeyUpdate instead of use lockFinAccount in which a
"FOR UPDATE" is done and is too agressive.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
---
(0108305)
hgbot (developer)
2018-12-05 17:52

Repository: erp/backports/3.0PR18Q4
Changeset: 9f1554db0cc8d0c1c5d198e6a4f676a2859e2900
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Wed Dec 05 17:52:24 2018 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR18Q4/rev/9f1554db0cc8d0c1c5d198e6a4f676a2859e2900 [^]

related to issue 39753 backed out changeset 0ca8d4ff4709

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
---
(0108406)
hgbot (developer)
2018-12-11 17:24

Repository: erp/backports/3.0PR18Q4.1
Changeset: 71014553054ccff7752630b91305ab706d32d325
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Dec 11 17:18:05 2018 +0100
URL: http://code.openbravo.com/erp/backports/3.0PR18Q4.1/rev/71014553054ccff7752630b91305ab706d32d325 [^]

fixed issue 39753 use the new method getObjectLockForNoKeyUpdate

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
---

- Issue History
Date Modified Username Field Change
2018-12-04 15:14 Sandrahuguet Type defect => backport
2018-12-04 15:14 Sandrahuguet Target Version 3.0PR19Q2 => 3.0PR18Q4
2018-12-04 15:29 Sandrahuguet Assigned To Triage Finance => Sandrahuguet
2018-12-05 13:19 Sandrahuguet Review Assigned To => vmromanos
2018-12-05 15:23 hgbot Checkin
2018-12-05 15:23 hgbot Note Added: 0108290
2018-12-05 15:23 hgbot Status scheduled => resolved
2018-12-05 15:23 hgbot Resolution open => fixed
2018-12-05 15:23 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR18Q4/rev/e6cdcf083b0d0282930aa6c4adc0e91c8ad1d489 [^]
2018-12-05 15:23 hgbot Checkin
2018-12-05 15:23 hgbot Note Added: 0108292
2018-12-05 17:52 hgbot Checkin
2018-12-05 17:52 hgbot Note Added: 0108305
2018-12-05 17:54 Sandrahuguet Status resolved => new
2018-12-05 17:54 Sandrahuguet Resolution fixed => open
2018-12-07 11:29 shuehner Target Version 3.0PR18Q4 => 3.0PR18Q4.1
2018-12-11 17:24 hgbot Checkin
2018-12-11 17:24 hgbot Note Added: 0108406
2018-12-11 17:24 hgbot Status new => resolved
2018-12-11 17:24 hgbot Resolution open => fixed
2018-12-11 17:24 hgbot Fixed in SCM revision http://code.openbravo.com/erp/backports/3.0PR18Q4/rev/e6cdcf083b0d0282930aa6c4adc0e91c8ad1d489 [^] => http://code.openbravo.com/erp/backports/3.0PR18Q4.1/rev/71014553054ccff7752630b91305ab706d32d325 [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker